Page MenuHomePhabricator

Add Wikibase page schema system messages
Closed, ResolvedPublic3 Story Points

Description

Wikibase is written in a generic fashion to support 3rd parties. Wikimedia specific code should be placed outside the extension. This task documents that work.

Precursors

  • The static png asset needed (static/images/wmf-hor-googpub.png) is available in production

Developer notes

T198946 introduced three new strings. These should be overridden on all wikis via Special:AllMessages. The proposed configuration is:

wikibase-page-schema-publisher-name: `Wikimedia Foundation, Inc.`
wikibase-page-schema-publisher-logo-url: `https://www.wikimedia.org/static/images/wmf-hor-googpub.png`
wikibase-page-schema-author-name: `Contributors to Wikimedia projects`

These will be defined inside the WikimediaMessages extension and defined per [[ T207790#4693269 | these guidelines ]]

Developer testing notes

Make sure you have WikimediaMessages installed in LocalSettings

wfLoadExtension( 'WikimediaMessages' );

A visit to http://localhost:8888/w/index.php?title=MediaWiki:Wikibase-page-schema-publisher-name&useformat=desktop (making sure any ContentProvider is disabled) should be enough to verify the fix.

QA steps

Event Timeline

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptOct 23 2018, 8:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ovasileva raised the priority of this task from Normal to High.Oct 24 2018, 5:12 PM

These should be overridden on all wikis via Special:AllMessages.

I don't think this is right. I think you can address this using WikimediaMessages.

For example:

wikimedia-flow-terms-of-use-new-topic overrides Flow's flow-terms-of-use-new-topic definition.

I'm not sure but you're almost certainly correct, @Jdlrobson. The goal is to set a default configuration for Wikimedia projects. Please assign this as soon as you can after the offsite.

Change 469214 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[operations/mediawiki-config@master] Update: add Wikimedia logo for SEO

https://gerrit.wikimedia.org/r/469214

Commit above seems unrelated to messages..?

Jdlrobson updated the task description. (Show Details)Oct 30 2018, 9:44 PM
Jdlrobson removed a project: Patch-For-Review.

The commit above adds the image used by this task, https://www.wikimedia.org/static/images/wmf-hor-googpub.png

Ok got it. I had figured adding the image was part of T198946 and this task was solely about the wikimedia specific translations. I'm removing patch for review given there's a task in the sprint tracking getting the icon in. When that's done we can estimate and work on this guy.

Change 469214 merged by jenkins-bot:
[operations/mediawiki-config@master] Update: add Wikimedia logo for SEO

https://gerrit.wikimedia.org/r/469214

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-10-31T23:44:10Z] <tgr@deploy1001> Synchronized static/images/wmf-hor-googpub.png: SWAT: [[gerrit:469214|Update: add Wikimedia logo for SEO (T198946, T207790)]] (duration: 00m 53s)

@Jdlrobson, the image patch has been merged. Please start on this task as soon as able or reassign.

Jdlrobson added a comment.EditedNov 1 2018, 12:12 AM

@Niedzielski I know.. I got it merged in today's SWAT window :).

This particular task needs to go through our standard estimation process before entering the sprint. Let's be mindful of all the other things in flight and not work on it until that happens so that we take time to consider and discuss risks.

Jdlrobson updated the task description. (Show Details)Nov 1 2018, 12:12 AM
Jdlrobson updated the task description. (Show Details)Nov 5 2018, 6:22 PM
Jdlrobson set the point value for this task to 3.Nov 5 2018, 6:24 PM
Jdlrobson removed Jdlrobson as the assignee of this task.Nov 5 2018, 7:43 PM

Change 472236 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/WikimediaMessages@master] Define WikimediaMessages for Wikibase SEO change

https://gerrit.wikimedia.org/r/472236

Change 472236 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Define WikimediaMessages for Wikibase SEO change

https://gerrit.wikimedia.org/r/472236

Tested on beta cluster, works as expected, double checked the texts and they are correct.

pmiazga closed this task as Resolved.Nov 12 2018, 8:34 PM
pmiazga removed pmiazga as the assignee of this task.
pmiazga removed a project: Patch-For-Review.
pmiazga added a subscriber: pmiazga.

Change 473164 had a related patch set uploaded (by Phuedx; owner: Jdlrobson):
[mediawiki/extensions/WikimediaMessages@wmf/1.33.0-wmf.3] Define WikimediaMessages for Wikibase SEO change

https://gerrit.wikimedia.org/r/473164

Change 473164 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@wmf/1.33.0-wmf.3] Define WikimediaMessages for Wikibase SEO change

https://gerrit.wikimedia.org/r/473164